Subject: Authenticated Printing

From: Marc Taylor <[email-masked]>
Date: Tue, 19 Feb 2002 09:05:16 -0600

Hello All,

It is not clear to me whether Netatalk can do authenticated printing.  What
I mean by this is that in order for you to print, you would have to mount a
drive share so that a username could be captured for accounting.  CAP did
this reasonably well though it confused some people because it looked like
the printer was setup though the drive share wasn't mounted.  We can live
with this.

So, does Netatalk do this?  If so, are there any instructions on how to do
it?

Many thanks.

Marc Taylor

---

From: Ashok Aiyar <[email-masked]>
Date: Tue, 19 Feb 2002 11:32:53 -0600 (CST)

> the printer was setup though the drive share wasn't mounted.  We can live

Netatalk can do one better.  As long as you have a recent version
of the LaserWriter8 driver (I am using 8.7.1), Netatalk can require
authentication before printing WITHOUT the need to mount a share
as in CAP.

Here is my setup from papd.conf for an authenticated printer:

Aiyar Lab OptraT610:\
        :pr=|/usr/bin/lpr -Plp:\
        :sp:\
        :am=uams_clrtxt.so:\
        :pd=/usr/local/etc/atalk/ppd/loptrat.ppd:\
        :op=aiyarlab

This setup allows authenticated printing to a printer that appears
as "Aiyar Lab OptraT610" in the Chooser.  The user must authenticate
using CLRTXT authentication -- I don't think this works with DHX
or RANDNUM/RAND2NUM.

> So, does Netatalk do this?  If so, are there any instructions on how to do

Hope this helped you.

Ashok
-- 
Ashok Aiyar, Ph.D.
Assistant Professor                    email: [email-masked]
Department of Microbiology-Immunology           office: (312) 503-2524
303 E. Chicago Avenue, WARD 4-123                  lab: (312) 503-2542
Northwestern University, Chicago, IL 60611         fax: (312) 503-1339